=== debian/changelog ===
xf86config-knoppix (0.8-6) unstable; urgency=low

  * Added missing whitespace in sed replacement for XDEPTH.

 -- Knoppix User <knoppix@Knoppix>  Fri, 23 Sep 2005 12:24:32 +0200

xf86config-knoppix (0.8-5) unstable; urgency=low

  * Use /dev/input/mice for psaux in Kernel 2.6

 -- root <root@Knoppix>  Fri, 20 Feb 2004 13:59:33 +0100

xf86config-knoppix (0.8-4) unstable; urgency=low

  * Remove DefaultCOlorDepth in case we use the fbdev module

 -- root <root@Knoppix>  Sun, 15 Feb 2004 22:22:44 +0100

xf86config-knoppix (0.8-3) unstable; urgency=low

  * Added USB mouse recognition vie hid in Kernel 2.6

 -- root <root@Knoppix>  Thu, 15 Jan 2004 11:55:32 +0100

xf86config-knoppix (0.8-2) unstable; urgency=low

  * Using VESA timings as default modelines
  
 -- root <root@Knoppix>  Sun, 27 Jul 2003 17:53:28 +0200

xf86config-knoppix (0.8-1) unstable; urgency=low

  * Modified to max out the monitor
  
 -- root <root@Knoppix>  Sun, 27 Jul 2003 02:32:15 +0200
    

xf86config-knoppix (0.7-17) unstable; urgency=low

  * Added more font paths for latex-ttf-fonts

 -- root <root@Knoppix>  Fri, 25 Jul 2003 18:15:36 +0200

xf86config-knoppix (0.7-16) unstable; urgency=low

  * Changes pc104 -> pc105

 -- root <root@Knoppix>  Fri, 25 Jul 2003 16:28:44 +0200

xf86config-knoppix (0.7-15) unstable; urgency=low

  * Added ttf-bitstream-vera fontdir

 -- root <root@Knoppix>  Wed, 21 May 2003 01:05:08 +0200

xf86config-knoppix (0.7-14) unstable; urgency=low

  * Added "xhrefresh" option for horizontal sync

 -- root <root@Knoppix>  Fri, 16 May 2003 20:22:59 +0200

xf86config-knoppix (0.7-13) unstable; urgency=low

  * Added "nowheelmouse" option

 -- root <root@Knoppix>  Mon, 28 Apr 2003 02:26:02 +0200

xf86config-knoppix (0.7-12) unstable; urgency=low

  * Moved default "PS/2" to "auto" protocol for XFree 4.3
    (as suggested by Kai Lahmann)

 -- root <root@Knoppix>  Tue, 15 Apr 2003 01:57:52 +0200

xf86config-knoppix (0.7-11) unstable; urgency=low

  * Accept both usbmouse and mousedev for USB mice

 -- root <root@Knoppix>  Wed,  9 Apr 2003 16:58:28 +0200

xf86config-knoppix (0.7-10) unstable; urgency=low

  * Take care of "noapm" bootoption

 -- root <root@Knoppix>  Tue, 25 Feb 2003 04:32:37 +0100

xf86config-knoppix (0.7-9) unstable; urgency=low

  * Use ddcxinfo-knoppix to retrieve information via DDC

 -- root <root@Knoppix>  Sun, 16 Feb 2003 05:59:54 +0100

xf86config-knoppix (0.7-8) unstable; urgency=low

  * Optimizations
  * Use ddcprobe to find preferred setting for some monitors

 -- root <root@Knoppix>  Wed, 12 Feb 2003 19:01:05 +0100

xf86config-knoppix (0.7-7) unstable; urgency=low

  * Added "DPMS" option for DDC-capable monitors

 -- root <root@Knoppix>  Sat, 17 Aug 2002 21:35:26 +0200

xf86config-knoppix (0.7-6) unstable; urgency=low

  * Corrected an sed newline bug

 -- root <root@Knoppix>  Mon, 29 Jul 2002 00:32:40 +0200

xf86config-knoppix (0.7-5) unstable; urgency=low

  * Added "sw_cursor" option for trident cards as well

 -- root <root@Knoppix>  Fri,  5 Jul 2002 22:33:42 +0200

xf86config-knoppix (0.7-4) unstable; urgency=low

  * Added bootcommand line "wheel" option for IMPS/2 wheelmouse

 -- root <root@Knoppix>  Thu,  4 Jul 2002 22:11:28 +0200

xf86config-knoppix (0.7-3) unstable; urgency=low

  * Fixed SWCursor -> sw_cursor sed replacement

 -- root <root@Knoppix>  Thu,  4 Jul 2002 22:02:01 +0200

xf86config-knoppix (0.7-2) unstable; urgency=low

  * Removed pex5 from loadable modules in XFree4 (not needed, unresolved
    symbols)

 -- root <root@Knoppix>  Sat,  4 May 2002 17:10:12 +0200

xf86config-knoppix (0.7-1) unstable; urgency=low

  * Support for many simultaneously working Serial/USB//psaux mice

 -- Klaus Knopper <knopper@knopper.net>  Fri, 11 Jan 2002 20:57:25 +0100

xf86config-knoppix (0.6-1) unstable; urgency=low

  * Integrated mkxf86config Shellscript

 -- Klaus Knopper <knopper@knopper.net>  Fri, 09 Nov 2001 20:57:25 +0100

xf86config-knoppix (0.5-1) unstable; urgency=low

  * Initial release

 -- Klaus Knopper <knopper@knopper.net>  Mon, 14 May 2001 20:57:25 +0100

Local variables:
mode: debian-changelog
End:
