=== debian/control ===
Source: xf86config-knoppix
Section: knoppix
Priority: optional
Maintainer: Klaus Knopper <knopper@knopper.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: xf86config-knoppix
Architecture: i386
Depends: ddcxinfo-knoppix
Description: XFree86 template config files and setup program for knoppix
 Template files and a shell script (mkxf86config) for the KNOPPIX
 non-interactive setup of XFree86 3.x/4.x.
